from sqlalchemy import Column, Integer, String, Text, DateTime, Boolean
from datetime import datetime
from database import Base

class NewsItem(Base):
    __tablename__ = "news"

    id = Column(Integer, primary_key=True, autoincrement=True)  # ID autoincremental
    titulo = Column(String(255), unique=True, nullable=False)
    contenido = Column(Text, nullable=False)
    autor = Column(String(255), nullable=True)
    fuente = Column(String(255), nullable=True)
    fecha = Column(DateTime, default=datetime.utcnow)
    link = Column(String(500), unique=True, nullable=False)
    keyword = Column(String(255), unique=False, nullable=True)
