package es.imunnic.inversionitasBot;

public class NewsArticle {
  private String title;
  private String description;
  private String url;
  private String content;

  public NewsArticle(String title, String description, String url) {
    this(title,description,url,null);
  }

  public NewsArticle(String title, String description, String url, String content) {
    this.title = title;
    this.description = description;
    this.url = url;
    this.content = content;
  }

  public String getTitle() {
    return title;
  }

  public String getDescription() {
    return description;
  }

  public String getUrl() {
    return url;
  }

  public String getContent() {
    return content;
  }
}
