package es.imunnic.inversionitasBot;

import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/telegram")
public class TelegramController {

  private final TelegramBot telegramBot;

  public TelegramController(TelegramBot telegramBot) {
    this.telegramBot = telegramBot;
  }

  @PostMapping("/send")
  public void sendMessage(@RequestBody IndiceRequest request) {
    String mensaje = "*📊 Índice:* `" + request.getIndice() + "`\n" +
        "*💰 Valor Actual:* `" + request.getValorActual() + "`\n" +
        "*📉 Cambio:* `" + request.getCambio() + "`\n" +
        "*📈 Cambio\\(%\\):* `" + request.getPorcentaje() + "%`";
    telegramBot.sendMessage(telegramBot.CHAT_ID, mensaje, telegramBot.THREAD_INDICES );
  }

}
